/*
 * Copyright (c) 2013 SEARCH-LAB Ltd.
 * 
 */

package CounterDoSJ;

import java.net.InetAddress;

import CounterDoSJ.Tunnel.PROTOCOL;

public class TunnelFactory {
    public Tunnel createTunnel(String name, InetAddress ip, int publicPort, int privatePort)
        throws IllegalArgumentException
    {
        return new Tunnel(name, ip, publicPort, privatePort);
    }
    
    public Tunnel createTunnel(String name, InetAddress ip, int publicPort, int privatePort, PROTOCOL protocol)
        throws IllegalArgumentException
    {
        return new Tunnel(name, ip, publicPort, privatePort, protocol);
    }
    
    public boolean blacklistIp(InetAddress ip) {
        return Application.blacklistIp(ip);
    }
    
    public boolean unblacklistIp(InetAddress ip) {
        return Application.unblacklistIp(ip);
    }
    
    public boolean whitelistIp(InetAddress ip) {
        return Application.whitelistIp(ip);
    }
    
    public boolean unwhitelistIp(InetAddress ip) {
        return Application.unwhitelistIp(ip);
    }
}
