package CounterDoSJTest.test;

import CounterDoSJ.Tunnel;
import CounterDoSJTest.network.client.Client;

public class CriticalLoadTest extends AbstractTest {

    public CriticalLoadTest(Client client, Tunnel tunnel) {
        _client = client;
        _tunnel = tunnel;
    }

    @Override
    public boolean run() {
        _tunnel.updateCriticalLoad(true);
        
        boolean success = true;
        
        success &= _client.testSilence();
        
        _tunnel.updateCriticalLoad(false);

        success &= _client.testEcho();
        
        return success;
    }

    private Client _client;
    private Tunnel _tunnel;
}
