package CounterDoSJTest.test;

public class Util {
    public static boolean expectEquals(String expected, String actual) {
        boolean isEqual = expected.equals(actual);
        
        if (!isEqual) {
            System.err.println("FAILURE:");
            System.err.println("expected: |" + expected + "|");
            System.err.println("actual  : |" + actual + "|");
            
            Thread.dumpStack();
        }
        
        return isEqual;
    }
    
    public static boolean expectTrue(boolean actual) {
        if (!actual) {
            System.err.println("FAILURE:");
            System.err.println("Expected true, got " + actual);
            
            Thread.dumpStack();
        }
        
        return actual;
    }
    
    public static boolean expectFalse(boolean actual) {
        if (actual) {
            System.err.println("FAILURE:");
            System.err.println("Expected false, got " + actual);
            
            Thread.dumpStack();
        }
        
        return !actual;
    }
    
    public static void log(String message) {
        log(message, 1);
    }
    
    public static void log(String message, int level) {
        if (level > 0) {
            System.err.println(message);
        }
    }
}
