/*
 * Created on Tue Jul 30 17:02:38 CEST 2013
 */
package CounterDoSJTest;

import java.net.InetAddress;
import java.util.Hashtable;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

import CounterDoSJ.TunnelFactory;
import CounterDoSJTest.test.Framework;

public class Activator implements BundleActivator {
  
  public void start(BundleContext context) throws Exception {
      System.out.println("Launch CounterDoSJTest bundle");
      
      // Get TunnelFactory
      {
          ServiceReference<TunnelFactory> sr = context.getServiceReference(CounterDoSJ.TunnelFactory.class);
          if (sr != null) {
              TunnelFactory tf = (TunnelFactory) context.getService(sr);
              Framework.setTunnelFactory(tf);
          } else {
              System.err.println("Failed to get TunnelFactory reference, abort bundle");
              return;
          }
      }
      
      // Register commands
      {
          CommandGroup command = new CommandGroup();
          Hashtable props = new Hashtable();
          props.put("groupName", command.getGroupName());
          context.registerService(
              org.knopflerfish.service.console.CommandGroup.class.getName(), 
              command, 
              props
          );
      }
  }

  public void stop(BundleContext context) throws Exception {
  }
}