package CounterDoSJTest.network.client;

import java.net.InetAddress;

public abstract class Client {
    public Client(InetAddress clientAddress, InetAddress serverAddress, int serverPort) {
        _clientAddress = clientAddress;
        _serverAddress = serverAddress;
        _serverPort = serverPort;
    }
    
    public abstract boolean testEcho();
    public abstract boolean testSilence();
    
    public InetAddress getIp() {
        return _clientAddress;
    }
    
    protected InetAddress _clientAddress;
    protected InetAddress _serverAddress;
    protected int _serverPort;
}
