package CounterDoSJTest.network.server;

public abstract class Server {
    public Server(int port) {
        super();
        this._port = port;
    }
    
    public abstract void listen();
    public abstract void stop();
    
    protected enum STATUS {
        CREATED,
        RUNNING,
        STOPPING,
        STOPPED
    }
    
    protected int _port;
    protected STATUS _status = STATUS.CREATED;
}
