package CounterDoSJTest.test;

public abstract class AbstractTest implements Test {

    @Override
    public abstract boolean run();

    protected boolean waitSec() {
        return wait(1000);
    }
    
    protected boolean wait(int millis) {
        try {
            Thread.sleep(millis);
        } catch (InterruptedException e) {
            System.err.println(e.getMessage());
            // let it pass
            return false;
        }
        
        return true;
    }
}
